Delete an install by ID
DELETE
/installs/{install_id}
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Basic <credentials>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0';const options = {method: 'DELETE', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0 \ --header 'Authorization: Basic <credentials>'This will delete the install, The delete is permanent and there is no confirmation prompt.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”install_id
required
string format: uuid
ID of install
Example
294deacc-d8b8-4005-82c4-0727ba8ddde0Responses
Section titled “Responses”Deleted
Authentication Error
Media typeapplication/json
object
message
required
A message regarding the error that occurred on the server
string
documentation_url
(Optional) A URL where documentation regarding this specific error can be found
string
Example
{ "message": "Bad Credentials"}Not authorized
Media typeapplication/json
object
message
required
A message regarding the error that occurred on the server
string
documentation_url
(Optional) A URL where documentation regarding this specific error can be found
string
Example
{ "message": "You don't have permission to perform that action"}Not found
Media typeapplication/json
object
message
required
A message regarding the error that occurred on the server
string
documentation_url
(Optional) A URL where documentation regarding this specific error can be found
string
Example
{ "message": "Not Found"}Too many requests
Service unavailable